#ifndef DB_H
#define DB_H

#include <mysql.h>

#define MAX_RES 	3
#define MAX_RETRY	5

typedef struct _db_t {
	MYSQL conn;
	MYSQL_RES *res[MAX_RES];
	MYSQL_ROW row[MAX_RES];
	int has_result[MAX_RES];
	int connected;
	char *name;
	char *user;
	char *pass;
} db_t;

db_t *db_init (char *name, char *user, char *pass);

int db_connect (db_t *db);

int db_query (db_t *db, int res_idx, char *sql, ...);

int db_next_result (db_t *db, int res_idx);

char *db_value (db_t *db, int res_idx, int column);

int db_release (db_t *db, int res_idx);

int db_free (db_t *db);

#endif
