#ifndef ERR_H
#define ERR_H

#define ERR_SIZE 256

#define E_NONE			0
#define E_PARAM			1
#define E_DB			2
#define E_FILE			3
#define E_UNKNOWN		99

typedef struct _err_t {
	int err_no;
	char *err_str;
} err_t;

static err_t errors[] = 
{
  {E_NONE, "no error occurred"},
  {E_PARAM, "insufficient parameters to function"},
  {E_DB, "there was a problem communicating with the database"},
  {E_FILE, "problem reading file or directory"},
  {E_UNKNOWN, "unknown error"},
};

int err_report (int errno, char *format, ...);
char *err_get ();
int err_getno ();
char *err_getstr (int err_no);
void err_discard ();

#endif
